after ENDKEY (F4) the server-side screen buffer needs to be updated

03/02/2015 11:09 AM - Constantin Asofiei

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 03/02/2015 11:15 AM - Constantin Asofiei

An ENDKEY condition generated by i.e. F4 while an update is in progress will update the SCREEN-VALUE and INPUT function.  See this for an

example:

def var i as int.

def var ch as char.

def var d as date init today.

i = 12345.

ch = "abcdef".

display i ch d with frame f1.

do on endkey undo, leave:

   update i ch d with frame f1.

end.

message ch entered input ch ch:screen-value.

message d entered input d d:screen-value.

message i entered input i i:screen-value.

enter "1" for i, "a" for ch and "11/  /  " for d, then press F4/ENDKEY The result will be this:

no a a

no 11/  / 11/  /

no 1 1

 

The fix will need to send the frame's ScreenBuffer to the server side, enclosed in the raised condition (or maybe let the server-side explicitly retrieve

the screen buffer from the client-side, if a condition was raised).
#2 - 03/23/2016 05:18 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#3 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
